/*
 * This File is one of the examples from Java Application Development
 * Do not reproduce this code for others or use it in a commercial setting without prior permission from the author.
 */

package salesApplication;

import products.Item;
import products.Item;
import products.TaxableItem;
import products.TaxableItem;

/**
 *
 * @author Matthew Gregory
 * @website www.matthewgregory-author.com.au
 *
 */
public class ManageTax {
    public void printTaxInvoice(Item item){
        item.printProduct();
        if (item instanceof TaxableItem){
            System.out.println("Includes tax of:"+((TaxableItem) item).calculateTax());
        } 
    }
}
